<?php
session_start();/**************************************************صفحة الهيدر الخاص بالمقالات*******************************************************************/

// ضبط اعدادات اللغة العربية للصفحة 
header("content-type:text/html;charset=utf-8"); 
$_SESSION['watermark']="0";


//استدعاء ملف الاعدادات
$conc_type='cp_exec_conc';
include '../conf.php';
include '../conf_sub.php';

$_SESSION['website_url']=$website_url;
//استدعاء ملف الاتصال بقاعدة البيانات
//include $cp_exec_conc;

//استدعاء ملف معالجة الحقن
include("../injection.php");
// تحويل الفقرات لسطور
function database_fix($value){
$value=str_replace("<br /><br />", "</p><p>", nl2br($value));
$value=str_replace("<br />", "", nl2br($value));
return 	$value;
}


?>
<html>
<head>
<meta content="text/html; charset=utf-8" http-equiv="Content-Type" />
<meta content='width=device-width, initial-scale=1, user-scalable=1, minimum-scale=1, maximum-scale=5' name='viewport'/>
	<link rel="shortcut icon" href="../img/icon.png" type="image/x-icon" />

<link type="text/css" rel="stylesheet" media="screen" href="../css/cp_responsive.css"/>
<link type="text/css" rel="stylesheet" media="screen" href="../css/jquery-ui.css"/>
<link type="text/css" rel="stylesheet" href="../css/bootstrap.min.css">

<!--slow website-->

<title>لوحة التحكم الخاصة بالموقع</title>
<?php

if (!isset($_SESSION[$domain."_user"])){
echo"<div class='faild'> غير مصرح لك بدخول هذه الصفحة قم بالتسجيل من "."<a href='../login.php'>هنا</a></div>"	;	
exit; 	
}

//
// ضبط اعدادات اللغة العربية للصفحة 
header("content-type:text/html;charset=utf-8"); 

//ضمان توافق قاعدة البيانات مع اللغة العربية
mysqli_query($conn,"SET NAMES 'utf8'");
mysqli_query($conn,'SET CHARACTER SET utf8');
mysqli_query($conn,"SET character_set_client=utf8");
mysqli_query($conn,"SET character_set_connection=utf8");
mysqli_query($conn,"SET character_set_database=utf8");
mysqli_query($conn,"SET character_set_results=utf8");
mysqli_query($conn,"SET character_set_server=utf8");
mysqli_query($conn," set character_set_server='utf8'");
include "fetch_array_search.php";
?>

	

    </head>
	
	
	<!--تكست اريا اديتور -->
  <link href="textarea_icons/bootstrap.css" rel="stylesheet">
  <script src="textarea_icons/jquery.js"></script>
  
	<script type="text/javascript" src="../js/jquery-ui-1.11.1.js"></script>
	<script type="text/javascript" src="scripts/jHtmlArea-0.8.js"></script>

  <script src="textarea_icons/bootstrap.js"></script>
  <link href="textarea_icons/summernote.css" rel="stylesheet">
  <script src="textarea_icons/summernote.js"></script>
  
  		<script type="text/javascript" src="../js/validate_cp.js"></script>

	<script type="text/javascript" src="../js/slide_num_cp.js"></script>


	<script type="text/javascript" src="../js/validate.js"></script>
	
	<script type="text/javascript" src="../js/arrang.js"></script>
	<script type="text/javascript" src="../js/edit_delete.js"></script>
	<script type="text/javascript" src="../js/jobs_list.js"></script>
	
	<script type="text/javascript" src="../js/cp.js"></script>
	<script type="text/javascript" src="../js/preview_image.js"></script>
	<script type="text/javascript" src="../js/departs_list.js"></script>

  

  <script>
 var trap = false;
$(document).ready(function () {
    $('.summernote').summernote({
        callbacks: {
            onPaste: function (e) {
                if (document.queryCommandSupported("insertText")) {
                    var text = $(e.currentTarget).html();
                    var bufferText = ((e.originalEvent || e).clipboardData || window.clipboardData).getData('Text');

                    setTimeout(function () {
                        document.execCommand('insertText', false, bufferText);
                    }, 10);
                    e.preventDefault();
                } else {
                    var text = window.clipboardData.getData("text")
                    if (trap) {
                        trap = false;
                    } else {
                        trap = true;
                        setTimeout(function () {
                            document.execCommand('paste', false, text);
                        }, 10);
                        e.preventDefault();
                    }
                }
             
            }
        }
    })
})
  </script>
 <!--تكست اريا اديتور -->
 
	
		<script>website_url='<?php echo $website_url; ?>'</script>


		<link rel="Stylesheet" type="text/css" href="style/jHtmlArea.css" />
	
	
	


    
    
    
	
	
	<script>
	//خاص بعرض الصور فى صفحات الأخبار والصفحات المشابهة
$(function(){
		
$(".more_img img ").live("click",function(){
$("#big-img").attr("src","");
$("#big-img").attr("src",$(this).attr("src"));
	
	});


$("img").load(function(evt){
      $(this).fadeIn(1000);
});
	



});


</script>

<script>
$(function(){
$('.area_buttons').htmlarea();

});
</script>

    
    
    
    <script>
	$(function() {
	$(".datepicker").datepicker({dateFormat:"yy-mm-dd"});
	});
	</script>
    <script type="text/javascript">
    
      //define function to be executed on document ready
      $(function(){
        //define config object
        var pickerOpts = {

          showOtherMonths: true
        };

        //create the date picker
        $("#date").datepicker(pickerOpts);
        $("#date1").datepicker(pickerOpts);
        $("#date2").datepicker(pickerOpts);
      });
      
      jQuery(function($){
	$.datepicker.regional['ar'] = {
		closeText: 'إغلاق',
		prevText: '&#x3c;السابق',
		nextText: 'التالي&#x3e;',
		currentText: 'اليوم',
		monthNames: ['يناير', 'فبراير', 'مارس', 'ابريل', 'مايو', 'يونيو',
		'يوليو', 'اغسطس', 'سبتمبر', 'اكتوبر', 'نوفمبر', 'ديسمبر'],
		monthNamesShort: ['1','2','3','4','5','6','7','8','9','10','11','12'],
		dayNames: ['السبت', 'الأحد', 'الاثنين', 'الثلاثاء', 'الأربعاء', 'الخميس', 'الجمعة'],
		dayNamesShort: ['سبت', 'أحد', 'اثنين', 'ثلاثاء', 'أربعاء', 'خميس', 'جمعة'],
		dayNamesMin: ['سبت', 'أحد', 'اثنين', 'ثلاثاء', 'أربعاء', 'خميس', 'جمعة'],
		dateFormat: 'yy/mm/dd', firstDay: 0,
  		isRTL: true};
		$.datepicker.setDefaults($.datepicker.regional['ar']);
		$("#ui-datepicker-div").css({"overflow":"hidden"});
		$("#ui-datepicker-div").hide();
	});
     </script>

 
 
 
 
<link href="multi_upload/css/uploadfile.css" rel="stylesheet">
<script src="multi_upload/js/jquery.uploadfile.min.js"></script>
<script src="../js/jquery.form.js"></script>
<script>
$(document).ready(function() {
	
	
$(".image_del").live("click",function(){	
//مسح الصور من صفحة التعديل	
	//alert($(this).attr("ext"));
//alert($(this).attr("table"));
//alert($(this).attr("id"));
$(this).parent('div').remove();
$("#images").val($("#images").val().split(","+$(this).attr("image_id")+"."+$(this).attr("ext")).join(""));
	

if($(this).attr("image_id")=='null'){

$("#images").val($("#images").val().split(",null").join(""));

}	
	
$.post("multi_upload/delete_images.php",
{
"ext" : $(this).attr("ext"),
"table" : $(this).attr("table"),
"image_id" : $(this).attr("image_id"),
"id" : $(this).attr("id")

},function(data){


});		


});	
	
	

$("#fileuploader").uploadFile({
url:"multi_upload/upload.php",
dragDrop: true,
fileName: "myfile",
returnType: "json",
acceptFiles:"image/png, image/jpeg",
showPreview:true,
 previewHeight: "90px",
 previewWidth: "90px",
showDelete: true,
statusBarWidth:103,
dragdropWidth:90,
dragdropWidth:850,
dragDropStr: "<br/><br/><div style='text-align:center'><b>قم باختيار الملفات .. او سحبها الى هنا</b></div><br/><br/>",
uploadStr:"رفع الملفات",
abortStr:"ايقاف",
cancelStr:"الغاء",
deletelStr:"مسح",
image_category:$('.checked').val(),

onSuccess:function(files,data,xhr,pd)
{
	
	//alert($('.checked').val());
    //files: list of files
    //data: response from server
    //xhr : jquer xhr object
    //alert(files);
    $("#images").val($("#images").val()+","+data);
  
},
onSubmit:function(files)
{
upload_image="uploading"; 
},
afterUploadAll:function(obj)
{
 upload_image="uploaded";
},
deleteCallback: function (data, pd) {
	
    for (var i = 0; i < data.length; i++) {
        $.post("multi_upload/delete.php", {op: "delete",name: data[i]},
            function (resp,textStatus, jqXHR) {
                //Show Message	
                alert(uploadObj.getResponses());
                
            });
   	$("#images").val($("#images").val().split(","+data[i]).join(""));//ازالة الصورة من التكست
    }
    pd.statusbar.hide(); //You choice.

},
downloadCallback:function(filename,pd)
	{
		location.href="download.php?filename="+filename;
	}
}); 
	
	
$("#app_form").submit(function(event){
if(upload_image=="uploading"){
event.preventDefault();		
}

	
});	
	
	
	});

	
</script>

<style>

.ui-widget.ui-widget-content{
	
	width:280px;
}

</style>
 
</head>

<div id="over"></div>

<div class="container">
<div id="header_cont">
<div id="cp_logo" style="float:right;margin-top:10px;">
<a id="logo" href="index.php" title=" الصفحة الرئيسية"><img loading='lazy' style="margin-top: 40px;height: 80px;float:right;"  "الشعار" src="../img/cp.png?t=<?php time();?>" /></a>
</div>
		<h1 style="display: none"></h1>
			<div id="top_header" >
			<div id="top_bar">
			<div class="top_link"><a href="../">الرئيسية</a></div>
			<div class="top_link_break">|</div>
			<?php 
			if(isset($_SESSION[$domain."_user"])){
			echo '<div class="top_link"><a href="index.php">لوحة التحكم</a></div>';
			echo '<div class="top_link_break">|</div>';
			echo '<div class="top_link"><a href="../logout.php">تسجيل خروج</a></div>';
			}elseif(isset($_SESSION['member'])){
			echo '<div class="top_link"><a href="../member_index.php">لوحة التحكم</a></div>';	
			echo '<div class="top_link_break">|</div>';
			echo '<div class="top_link"><a href="../logout.php">تسجيل خروج</a></div>';
			}
			else{
			echo '<div class="top_link"><a target="_blank" href="https://noor.moe.sa/EduWave/login.aspx">تسجيل الطلاب</a></div>';
			echo '<div class="top_link_break">|</div>';
			echo '<div class="top_link"><a href="../login.php">تسجيل الدخول</a></div>';	
			}
			?>	
				
			</div>

		
		</div>
	
		
	</div>

	
	
<div id="body_cont">

<style>

.cp_login_row{
width:100%;	
}

.cp_word_body{
	
	width:100%;
	magin:0 auto;
}
</style>
<?php 
$lang_sum;
if($_SESSION['lang_sum']==49){
	
	$lang_sum=50;
}
?>
